commit 44111f1b2b43c0151dd10c95a1f759ff354088fe
Author: freddy77 <freddy77>
Date:   Wed Aug 18 11:37:36 2010 +0000

    search correct host

diff --git a/ChangeLog b/ChangeLog
index b1cddaf..7a5621d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed Aug 18 13:37:35 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* misc/prepare_win32.sh: search correct host
+
 Wed Aug 18 13:27:30 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/replacements.h: add missing declaration
 
@@ -2837,4 +2840,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3114 2010/08/18 11:27:46 freddy77 Exp $
+$Id: ChangeLog,v 1.3115 2010/08/18 11:37:36 freddy77 Exp $
diff --git a/misc/prepare_win32.sh b/misc/prepare_win32.sh
index 595c4a9..14156c1 100755
--- a/misc/prepare_win32.sh
+++ b/misc/prepare_win32.sh
@@ -14,13 +14,15 @@ errore() {
 
 NTWDBLIB=no
 TYPE=win32
+HOSTS='i386-mingw32 i586-mingw32msvc'
 ARCHIVE='tar jcvf "freetds-$PACKAGE_VERSION.$TYPE.tar.bz2" "freetds-$PACKAGE_VERSION"'
 PACK=yes
+
 for param
 do
 	case $param in
 	--win64)
-		HOST=x86_64-pc-mingw32
+		HOSTS='x86_64-w64-mingw32 x86_64-pc-mingw32'
 		TYPE=win64
 		;;
 	--zip)
@@ -52,11 +54,17 @@ do
 	esac
 done
 
-if test "$TYPE" = "win32"; then
-	HOST=i386-mingw32
-	if ! $HOST-gcc --help > /dev/null 2> /dev/null; then
-		HOST=i586-mingw32msvc
+# search valid HOST
+HOST=
+for h in $HOSTS; do
+	if $h-gcc --help > /dev/null 2> /dev/null; then
+		HOST=$h
+		break
 	fi
+done
+if test x$HOST = x; then
+	echo "Valid host not found in $HOSTS" 1>&2
+	exit 1
 fi
 
 PACKAGE_VERSION=

